LSattr_html_select_list : make getPossibleValues() optionally and statically callable
[ldapsaisie.git] / buildDocExports.sh
index 601be55..3a787e5 100755 (executable)
@@ -1,15 +1,16 @@
-#!/bin/sh
+#!/bin/bash
 
 ROOT_DIR=$( cd `dirname $0`; pwd )
+LOCAL_CFG_DIR=$ROOT_DIR/config.local
 
 # Import config
-if [ ! -f $LOCAL_SAV_DIR/local.sh ]
+if [ ! -f $LOCAL_CFG_DIR/local.sh ]
 then
     echo "Error : You don't have create your own local.sh file in config.local directory. You could rely on the local.sh.example file to create your version."
     exit 1
 fi
 
-source $LOCAL_SAV_DIR/local.sh
+source $LOCAL_CFG_DIR/local.sh
 
 if [ ! -n "$EXPORT_DOC_DIR" ]
 then
@@ -17,11 +18,17 @@ then
     exit 0
 fi
 
+if [ ! -d "$EXPORT_DOC_DIR" ]
+then
+    echo "Error : Export directory $EXPORT_DOC_DIR does not exist !"
+    exit 2
+fi
+
 DOC_DIR=$ROOT_DIR/doc
 TMP_DIR=`mktemp -d`
 ERROR=0
 
-echo "Export documentation in $EXPORT_DOC_DIR :"
+echo "-> Export documentation in $EXPORT_DOC_DIR :"
 
 # PDF
 if [ -n "$PDF" ]
@@ -31,7 +38,23 @@ then
     cp -f $DOC_DIR/exports/pdf/LdapSaisie.pdf $EXPORT_DOC_DIR/LdapSaisie.pdf
     if [ $? -ne 0 ]
     then
-        echo Error
+        echo -e "\n-> Error"
+        ERROR=1
+    else
+        echo Ok
+    fi
+fi
+
+
+# EPUB
+if [ -n "$EPUB" ]
+then
+    echo -en "\t- EPUB : "
+    # EPUB
+    cp -f $DOC_DIR/exports/epub/LdapSaisie.epub $EXPORT_DOC_DIR/LdapSaisie.epub
+    if [ $? -ne 0 ]
+    then
+        echo -e "\n-> Error"
         ERROR=1
     else
         echo Ok
@@ -55,7 +78,7 @@ then
     mkdir $TMP_DIR/$ALL_IN_ONE/styles
     cp $CSS $TMP_DIR/$ALL_IN_ONE/styles/
 
-    echo "Build archive and move it later ..."
+    echo "done. Build archive and move it later ..."
 fi
 
 
@@ -75,7 +98,7 @@ then
     mkdir $TMP_DIR/$ONLINE/styles
     cp $CSS $TMP_DIR/$ONLINE/styles/
 
-    echo "Build archive and move it later ..."
+    echo "done. Build archive and move it later ..."
 fi
 
 
@@ -90,50 +113,55 @@ then
     cd $DOC_DIR
     for i in `find -type d|grep -v 'export'`
     do
-       mkdir -p $TMP_DIR/$DOCBOOK/$i
+        mkdir -p $TMP_DIR/$DOCBOOK/$i
     done
     
-    for i in `find -type f|grep -v '(Makefile|^./export)'`
+    for i in `find -type f|egrep -v '(Makefile|^./export)'`
     do
-       cp $i $TMP_DIR/$DOCBOOK/$i
+        cp $i $TMP_DIR/$DOCBOOK/$i
     done
     
-    echo "Build archive and move it later ..."
+    echo "done. Build archive and move it later ..."
 fi
 
-echo "Build archives and move all in export directory :"
+echo "-> Build archives and move all in export directory :"
 cd $TMP_DIR/
 for i in $ALL_IN_ONE $ONLINE $DOCBOOK
 do
     echo -e "\t$i : "
     echo -en "\t\t+ Archive : "
-       tar -cjf LdapSaisie--Doc--$i.tar.bz2 $i && mv LdapSaisie--Doc--$i.tar.bz2 $EXPORT_DOC_DIR/
+    tar -cjf LdapSaisie--Doc--$i.tar.bz2 $i && mv LdapSaisie--Doc--$i.tar.bz2 $EXPORT_DOC_DIR/
     if [ $? -eq 0 ]
     then
         echo Ok
     else
-        echo Erreur
+        echo -e "\n-> Error"
         ERROR=1
     fi
 
     echo -en "\t\t+ Web dir : "
-       rm -fr $EXPORT_DOC_DIR/$i/* && cp -fr $i/* $EXPORT_DOC_DIR/$i/ && rm -fr $i
+    [ ! -d "$EXPORT_DOC_DIR/$i" ] && echo "you must create export $i directory manualy before run this script. (path : $EXPORT_DOC_DIR/$i)" && continue
+    rm -fr $EXPORT_DOC_DIR/$i/* && cp -fr $i/* $EXPORT_DOC_DIR/$i/ && rm -fr $i
     if [ $? -eq 0 ]
     then
         echo Ok
     else
-        echo Erreur
+        echo -e "\n-> Error"
         ERROR=1
     fi
 done
 
 if [ -n "$LAST_UPDATE_FILE" ]
 then
-    echo -n "Create last-update file : "
+    echo -n "-> Create last-update file : "
     echo "Last update :" > $LAST_UPDATE_FILE
     date >> $LAST_UPDATE_FILE
+    cd $ROOT_DIR
+    git log|head -n 1 >> $LAST_UPDATE_FILE
     echo >> $LAST_UPDATE_FILE
     echo done.
 fi
 
 rm -fr $TMP_DIR
+
+exit $ERROR